﻿namespace Dienstfahrten.Logging
{
    /// <summary>
    /// Stellt verschiedene Stufen dar.
    /// </summary>
    internal enum Level
    {
        /// <summary>
        /// Informationen, die unter Umständen von Interesse sein können.
        /// </summary>
        Info,

        /// <summary>
        /// Informationen, die eine Warnung darstellen.
        /// </summary>
        Warning,

        /// <summary>
        /// Informationen, die eine Fehlermeldung darstellen.
        /// </summary>
        Error,

        /// <summary>
        /// Detailierte Informationen, die beispielsweise bei der Analyse und
        /// Behebung von Fehlern nützlich sein können.
        /// </summary>
        Verbose
    }
}
